package ifs.util;

/** Counter.
 * 
 * @author <a href="mailto:muller@ktiml.mff.cuni.cz">Tomas Muller</a>
 * @version 1.0
 */
public class Counter {
    private long iValue = 0;
    
    /** Set counter */
    public void set(long value) { iValue = value; }
    /** Returns current value */
    public long get() { return iValue; }
    /** Increment counter */
    public void inc(long value) { iValue += value; }
    /** Decrement counter */
    public void dec(long value) { iValue -= value; }
}
